!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12
! 2017_10_28_oct28
! include 'module_precision_set.f' 
      module precision_set
      integer, parameter :: ns = selected_real_kind(8)  ! 15 decimal digits on my machine 
!                                                       !   by precision(x) test (MRC-167).
                                                        !   But only 8 by MRC-17.
      integer, parameter :: nd = selected_real_kind(16) ! 18 decimal digits on my machine.
!                                                       !   by precision(x) test (MRC-167).
!                                                       !   But only 8 by MRC-17.
      integer, parameter :: nq = selected_real_kind(32) ! Does not work. Why not?
      integer, parameter :: np = nd
!      integer, parameter :: np = nq
      end module precision_set
!23456789a123456789b123456789c123456789d123456789e123456789f123456789g12

